summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorsu_v <suv-sf@users.sourceforge.net>2014-09-05 13:46:15 +0000
committer~suv <suv-sf@users.sourceforge.net>2014-09-05 13:46:15 +0000
commit9c65143b897814ab8b1574a0f07dfda1392d9f7f (patch)
treec88ed315c1031e5bad9dcf28bc1f050942c3b824 /packaging
parentMake wrappper scripts executable (diff)
downloadinkscape-9c65143b897814ab8b1574a0f07dfda1392d9f7f.tar.gz
inkscape-9c65143b897814ab8b1574a0f07dfda1392d9f7f.zip
launcher script: exit if change of working directory fails
(bzr r13506.1.62)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/Resources/bin/inkscape2
1 files changed, 1 insertions, 1 deletions
diff --git a/packaging/macosx/Resources/bin/inkscape b/packaging/macosx/Resources/bin/inkscape
index 73fb8a924..acc3a5ec7 100755
--- a/packaging/macosx/Resources/bin/inkscape
+++ b/packaging/macosx/Resources/bin/inkscape
@@ -25,7 +25,7 @@ BASE="$(echo "$CWD" | sed -e 's/\/Contents\/Resources.*$//')"
# fail (for python-based extensions, inkscape changes the working directory to the
# script's directory, and inkscape launched by python script thus can't find resources
# like the now essential 'units.xml' in INKSCAPE_UIDIR relative to the working directory).
-cd "$BASE"
+cd "$BASE" || exit 1
# don't prepend to $PATH in recursive calls:
if [ -z "$INK_PATH_ORIG" ]; then